For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Company Permissions
              • POSTCreate Company Permission
              • PUTUpdate Company Permission
              • DELDelete Company Permission
              • GETList Company Roles
              • POSTCreate Company Role
              • GETGet Company Role Detail
              • PUTUpdate Company Role
              • DELDelete Company Role
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany Roles and Permissions

List Company Permissions

Beta
GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/permissions
GET
/api/v3/io/companies/permissions
$curl https://api-b2b.bigcommerce.com/api/v3/io/companies/permissions \
> -H "authToken: <apiKey>"
200Example 1
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 1,
6 "name": "Get addresses",
7 "description": "Get addresses",
8 "code": "get_addresses",
9 "isCustom": false,
10 "moduleName": "address"
11 }
12 ],
13 "meta": {
14 "message": "SUCCESS"
15 }
16}
Get all company permissions
Was this page helpful?
Previous

List Company Hierarchy

Next

Create Company Permission

Built with

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Query parameters

qstringOptional
search by permission name

Response

OK
codeintegerDefaults to 200
datalist of objects
metaobject